Submit a ticketCall us

Training Class Getting Started with SolarWinds Backup - February 28

This course offers customers an introduction to SolarWinds Backup, focusing on configuring the backup technology, taking backups, data restoration and data security. It is a great primer and will get you up to speed quickly on SolarWinds Backup.
Register for class.

Home > Success Center > Network Performance Monitor (NPM) > NTA 4.2 upgrade error: Cannot connect to NTA Flow Storage Database

NTA 4.2 upgrade error: Cannot connect to NTA Flow Storage Database

Created by Michael Almadova, last modified by Malik Haider on Jul 24, 2016

Views: 1,478 Votes: 0 Revisions: 4

Updated July 4, 2016

Overview

This article provides brief information and steps to resolve the following NTA 4.2 upgrade error after NPM 12 upgrade:

Cannot connect to NTA Flow Storage Database

 

In this scenario, NTA 3.11 was installed and the install was never completed successful for NPM 12. This is the reason NTA install on the application server shows the error below:

 

 

The error in configuration wizard was received when trying to uninstall NTA 3.11 to see if this was the cause and pointed to this error:

Connection to SolarWinds Information Service did not succeed.  Last error:  The socket connection was aborted.  This could be caused by an error processing your message or a receive timeout being exceeded by the remote host, or an underlying network resource issue.  Local socket timeout was '##:##:##:#######'

Environment

  • NPM 12
  • NTA 4.2

 

Cause 

.NetFramework 4.6.1 was causing this issue due to an old MD5 certificate.

Resolution

1. Uninstall .NetFramework 4.6 on both Applicaiton server and Flow Storage Database server.

2. Reboot the server.

3. Install .NetFramework 4.5.2.

4. Run configuration wizard. 

5. Run NTA installer for 4.2

 

 

 

Last modified

Tags

Classifications

Public